<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\GPWebPayGpe;

use Platiti\GPWebPayGpeNs\GPWebPay\UniGPWebPay;

require_once(dirname(__FILE__)."/UniGPWebPay.php");

class UniGPWebPayGpe extends UniGPWebPay {

	public function __construct($configSetting, $subMethod) {
		parent::__construct($configSetting, $subMethod, "GPWebPayGpe");
	}

	function getConfigInfo($language='en') {
		$configInfo = parent::getConfigInfo($language);
		$configInfo->configFields = array_filter($configInfo->configFields, function ($v) {return !in_array($v->name, array('convertToCurrencyIfUnsupported'));});
		return $configInfo;
	}

	function setConfigFromData($configSetting) {
		parent::setConfigFromData($configSetting);
		$this->config->convertToCurrencyIfUnsupported = '';
	}

	public function getInfoBoxData($uniAdapterName, $language) {
		$prev = $this->name;
		$this->name = "GPWebPay";
		$ret = parent::getInfoBoxData($uniAdapterName, $language);
		$this->name = $prev;
		return $ret;
	}

}
